Subject: Re: [PATCH 00/14] Backport 8xx TLB to 2.4

From: Willy Tarreau <[email-masked]>
Date: Wed, 8 Feb 2012 10:44:26 +0100

Hi Joakim,

On Wed, Feb 08, 2012 at 09:44:18AM +0100, Joakim Tjernlund wrote:
> Willy Tarreau <[email-masked]> wrote on 2011/12/11 18:33:46:
> >
> > Hi Joakim,
> >
> > On Sun, Dec 11, 2011 at 06:19:54PM +0100, Joakim Tjernlund wrote:
> > > > To: Joakim Tjernlund <[email-masked]>
> > > > From: Willy Tarreau <[email-masked]>
> > > >
> > > > Hi Joakim,  On Mon, Oct 10, 2011 at 01:30:06PM +0200, Joakim Tjernlund wrote: > This is a
> > > > backport from 2.6 which I did to overcome 8xx CPU > bugs. 8xx does not update the DAR register
> > > > when taking a TLB > error caused by dcbX and icbi insns which makes it very > tricky to use these
> > > > insns. Also the dcbst wrongly sets the > the store bit when faulting into DTLB error. > A few
> > > > more bugs very found during development. >  > I know 2.4 is in strict maintenance mode and 8xx is
> > > > obsolete > but as it is still in use I wanted 8xx to age with grace.  Thank you. I must admit I
> > > > was hoping those patches would come in for a last release before the end of the year :-)  Unless
> > > > there is any objection from anyone, I'll merge them when kernel.org is back online.  Cheers,
> > > > Willy
> > >
> > > Did this go anywhere?
> >
> > Not yet, I just need to find some time to release another 2.4 with these
> > patches.
> 
> Ping? There should be a tree somewhere by now :)

I'm planning on doing 2.4.37.12 once I'm finished with 2.6.27.60. However I'll
have to find another place to host it, as the 2.4 tree was never completely
recovered from master.kernel.org after the break-in, and admins there have
many more important things to do than to spend their time restoring the 2.4
files. Probably that I'll put that into my account.

BTW, since you're asking, you seem to still be using 2.4. Do you think it's
worth pursuing maintenance over 2.4.37.12 and if so for how long ? I'm asking
because until the break-in, I felt like almost nobody was using it anymore,
but since the break-in, I received a number of mails asking where to download
it. So now I assume that there are still users, but they're too much silent.

Regards,
Willy